package com.template.services;

import com.github.pagehelper.PageInfo;
import com.template.model.tongji.MeterPage;
import com.template.model.tongji.Tj;
import com.template.model.tongji.TjFloat;
import com.template.model.tongji.userPage;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

public interface DriverStockService {

    // 年级统计
    public List<Tj> getClassTj();

    // 访客统计
    public List<Tj> getVisitorTj(LocalDateTime start,LocalDateTime end);

    // 能耗总量统计
    public List<TjFloat> getEnergyTj();

    // 每栋楼电费月统计
    public List<TjFloat> getEnergyMonth(@Param("date") String date, @Param("type") Integer type);

    // 近12天水电统计
    public List<TjFloat> getEnergyDay(@Param("date") String date,@Param("type") Integer type);

    // 总设备数
    public List<TjFloat> getTotalDevice();

    // 在线设备数
    public List<TjFloat> getOnlineDevice(@Param("date") String date);

    public PageInfo<MeterPage> getMeterDetail(@Param("meterType") Integer meterType);

    // 用户结构
    public List<Tj> getUserComp();

    // 用户汇总学生
    public PageInfo<userPage> getUserPage(String key,Integer identityId);

    // 教学成果
    public List<Tj> getScorePer(@Param("examName") String examName,@Param("updateUser") String updateUser);

    // 考试名称
    public List<Tj> getExamName();

    // 教师评分
    public Tj getTeacherExam(@Param("cardNo") String cardNo);

}
